/*#region search*/
.search-container.dropdown {
  > button {
    padding: 0;
    width: 34px;
    height: 34px;
    border: none;
    text-align: center;
    background-color: transparent;

    i {
      font-size: 25px;
      line-height: 25px;
    }
  }

  .dropdown-menu {
    @include box-shadow1();
    margin: 0;
    left: inherit;
    right: 0;
    top: 100%;
    border-radius: 0;
    border: none;
    padding: 10px;
    width: 300px;

    form {
      position: relative;

      input {
        -webkit-box-shadow: none;
        box-shadow: none;
        padding-right: calc(12px + 34px);
      }

      .btn {
        position: absolute;
        background-color: transparent;
        width: 34px;
        height: 34px;
        text-align: center;
        padding: 0;
        top: 0;
        right: 0;
        color: $gray;

        i {
          line-height: 34px;
        }

        &:hover {
          color: $primary-color;
        }
      }
    }
  }
}

@-webkit-keyframes socialFxD {
  49% {
    -webkit-transform: translateX(100%);
    -ms-transform: translateX(100%);
    transform: translateX(100%);
  }

  50% {
    opacity: 0;
    -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=0)";
    -webkit-transform: translateX(-100%);
    -ms-transform: translateX(-100%);
    transform: translateX(-100%);
  }

  51% {
    opacity: 1;
    -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=100)";
  }
}

@keyframes socialFxD {
  49% {
    -webkit-transform: translateX(100%);
    -ms-transform: translateX(100%);
    transform: translateX(100%);
  }

  50% {
    opacity: 0;
    -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=0)";
    -webkit-transform: translateX(-100%);
    -ms-transform: translateX(-100%);
    transform: translateX(-100%);
  }

  51% {
    opacity: 1;
    -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=100)";
  }
}

.header-header.flex-center {
  padding-top: 15px;
  -webkit-box-pack: justify;
  -webkit-justify-content: space-between;
  -ms-flex-pack: justify;
  justify-content: space-between;
  i {
    color: $primary-color;
    margin-right: 10px;
  }

  .left {
    > p {
      position: relative;
      padding-right: 20px;
      margin-right: 20px;

      &:before {
        position: absolute;
        content: "";
        width: 1px;
        height: 100%;
        background-color: $gray;
        top: 0;
        right: 0;
      }
    }

    .social-container {
      a {
        display: block;
        float: left;
        width: 25px;
        height: 25px;
        background-color: $bg-lightblack;
        border-radius: 100%;
        text-align: center;
        margin-right: 10px;
        overflow: hidden;

        i {
          line-height: 25px;
          font-size: 12px;
          color: $white;
          margin: 0;
          display: block;
        }

        &:last-child {
          margin-right: 0;
        }

        &:hover {
          background-color: $primary-color;

          i {
            -webkit-animation: socialFxD 0.3s forwards;
            animation: socialFxD 0.3s forwards;
          }
        }
      }
    }
  }

  .right {
    > a {
      position: relative;
      padding-right: 20px;
      margin-right: 20px;

      &:before {
        position: absolute;
        content: "";
        width: 1px;
        height: 100%;
        background-color: $gray;
        top: 0;
        right: 0;
      }
    }
  }
  .lang-container {
    float: right;
    img {
      height: 20px;
    }
    .change_language {
      &:hover {
        background: $primary-color;
      }
    }
  }
}

.header-body {
  @include border-top();
  .logo-container {
    width: 20%;
    img {
      height: 70px;
    }
  }
  .btn-nav {
    position: absolute;
    right: 8%;
    border-radius: 5px;
  }
  .right {
    -webkit-box-ordinal-group: 3;
    -webkit-order: 2;
    -ms-flex-order: 2;
    order: 2;
    margin-left: auto;
    .search-container {
      margin-right: 20px;
      height: 100%;
      > button {
        height: 100%;
        i {
          font-size: 18px;
          line-height: 18px;
        }
      }
    }
    .cart-container {
      .icon-container {
        display: block;
        position: relative;
      }
      .cart-count-txt {
        top: -10px;
        right: -10px;
        position: absolute;
        display: block;
        width: 25px;
        height: 25px;
        border-radius: 50%;
        background-color: $primary-color;
        color: $white;
        text-align: center;
        padding: 3px 0;
      }
      i {
        font-size: 25px;
        line-height: 25px;
      }
    }
  }
}
/*#endregion*/

/*#region #nav-pc*/
#nav-pc {
  height: 100%;
  > .nav {
    height: 100%;

    > li {
      float: left;
      list-style: none;
      padding: 0 20px;
      height: 100%;

      > a {
        @include flex-center();
        padding: 0;
        height: 100%;
        // text-transform: uppercase;
        font-weight: $font-weight-bold;
        position: relative;

        i {
          margin-left: 5px;
        }

        &:before {
          @include animation();
          position: absolute;
          top: -1px;
          left: 0;
          content: "";
          height: 2px;
          width: 100%;
          visibility: hidden;
          -webkit-transform: scale(0);
          -ms-transform: scale(0);
          transform: scale(0);
        }
      }

      &.active,
      &:hover {
        > a {
          color: $primary-color;

          &:before {
            visibility: visible;
            -webkit-transform: scale(1);
            -ms-transform: scale(1);
            transform: scale(1);
          }
        }
      }
      &:last-child {
        &.nav-parent {
          > .nav-child {
            left: inherit;
            right: 0;
            > .nav > .nav-parent > .nav-child {
              right: 100%;
              left: inherit;
            }
          }
        }
      }
    }
    > .nav-parent {
      position: relative;

      > .nav-child {
        @include animation();
        @include box-shadow1();
        opacity: 0;
        visibility: hidden;
        -webkit-transform-origin: left top 0;
        -ms-transform-origin: left top 0;
        transform-origin: left top 0;
        -webkit-transform: translatey(25px);
        -ms-transform: translatey(25px);
        transform: translatey(25px);
        z-index: -1;
        pointer-events: none;
        top: 100%;
        left: 25px;
        position: absolute;
        width: 230px;
        background-color: $white;

        a {
          color: $black;
          display: block;
          text-transform: none;
          padding: 10px;
          font-weight: $font-weight-normal;
        }

        li {
          list-style: none;

          &.active,
          &:hover {
            > a {
              background-color: $primary-color;
              color: $white;
            }
          }
        }

        > .nav > .nav-parent {
          > a > i {
            float: right;
          }

          > .nav-child {
            @include animation();
            @include box-shadow1();
            opacity: 0;
            visibility: hidden;
            -webkit-transform-origin: left top 0;
            -ms-transform-origin: left top 0;
            transform-origin: left top 0;
            -webkit-transform: translatey(25px);
            -ms-transform: translatey(25px);
            transform: translatey(25px);
            z-index: -1;
            pointer-events: none;
            position: absolute;
            top: 0;
            left: 100%;
            width: 230px;
            background-color: $white;
            height: 100%;
          }

          &:hover {
            > .nav-child {
              opacity: 1;
              visibility: visible;
              z-index: 10;
              -webkit-transform: translatey(0px);
              -ms-transform: translatey(0px);
              transform: translatey(0px);
              pointer-events: auto;
            }
          }
        }
      }

      &:hover {
        > .nav-child {
          opacity: 1;
          visibility: visible;
          z-index: 10;
          -webkit-transform: translatey(0px);
          -ms-transform: translatey(0px);
          transform: translatey(0px);
          pointer-events: auto;
        }
      }
    }

    .mega-menu {
      > .nav-child {
        @include animation();
        @include box-shadow1();
        padding: 40px;
        opacity: 0;
        visibility: hidden;
        -webkit-transform-origin: left top 0;
        -ms-transform-origin: left top 0;
        transform-origin: left top 0;
        -webkit-transform: translatey(25px);
        -ms-transform: translatey(25px);
        transform: translatey(25px);
        z-index: -1;
        pointer-events: none;
        top: 100%;
        left: 0;
        position: absolute;
        width: 100%;
        background-color: $white;

        > .nav {
          width: calc(100% / 5);

          > li {
            list-style: none;

            > a {
              display: block;
              padding: 10px 0;
            }

            &:first-child {
              > a {
                font-weight: $font-weight-bold;
                font-size: 18px;
                padding: 0 0 20px 0;
              }
            }
          }
        }

        .img-container {
          width: calc((100% / 5) * 2);
        }
      }

      &:hover {
        > .nav-child {
          opacity: 1;
          visibility: visible;
          z-index: 10;
          -webkit-transform: translatey(0px);
          -ms-transform: translatey(0px);
          transform: translatey(0px);
          pointer-events: auto;
        }
      }
    }
  }
}
/*#endregion*/

/*#region #sad*/
/*#endregion*/

@media screen and (min-width: 1920px) {
}

@media screen and (min-width: 1200px) {
}

@media screen and (max-width: 1280px) {
}

@media screen and (max-width: 1024px) {
  /*#region #sad*/
  .header-header {
    .left > p {
      margin-right: 15px;
      padding-right: 15px;
    }
    .right {
      a {
        margin-right: 15px;
      }
    }
  }
  #nav-pc {
    > .nav {
      .mega-menu {
        > .nav-child {
          > .nav {
            > li:first-child {
              > a {
                font-size: 16px;
              }
            }
          }
        }
      }
    }
  }
  /*#endregion*/
}

@media screen and (max-width: 980px) {
}

@media screen and (max-width: 768px) {
  .header-header {
    font-size: 11px;
  }
  .header-body {
    .container {
      .logo-container {
        width: 100%;
        text-align: center;
        padding-bottom: 10px;
        padding-top: 10px;
      }
      .btn-bar {
        margin: 3% 0;
      }
    }
  }
  #nav-pc {
    > .nav {
      > li {
        float: left;
        list-style: none;
        padding: 0 10px;
        height: 100%;
      }
    }
  }
}

@media screen and (max-width: 650px) {
}

@media screen and (max-width: 450px) {
}

@media screen and (max-width: 375px) {
}

@media screen and (max-width: 360px) {
}

@media screen and (max-width: 320px) {
}

/*------------------------------------*\
  STYLE FIX ALL BROWSER
\*------------------------------------*/

/*#region firefox*/
@-moz-document url-prefix() {
  /*Code is here*/
}
/*#endregion*/

/*#region ie*/
@media screen and (-ms-high-contrast: active), (-ms-high-contrast: none) {
  /*Code is here*/
}
/*#endregion*/
